<!-- Modal -->
{% for group in subgroupings %}
{% for rank in group[ranks] %}
<div class="modal fade" id="{rank[rank]}RankModal" tabindex="-1" role="dialog" aria-labelledby="{rank[rank]}RankModalLabel" aria-hidden="true">
    <div class="modal-dialog" style="max-width:40%" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="{rank[rank]}RankModalLabel">{rank[displayName]} Permissions</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <table class="table table-striped table-bordered table-responsive-xl table-hover table-sm display mb-0 flex-fill">
                    <thead>
                        <tr>
                            <th>Permission</th>
                            <th>Realm</th>
                            <th style="padding:0;width:30px;"></th>
                        </tr>
                    </thead>
                    <tbody id="perms">
                        {% for perm in rank[permissions] %}
                        <tr>
                            <td>{perm[perm]}</td>
                            <td>{perm[realm]}</td>
                            <td style="padding:0">
                                <form class="input-group" style="padding:0px; position:relative;" data-toggle="validator" role="form" method="post" action="ranks.php">
                                    <input type="hidden" name="rank" value="{rank[rank]}">
                                    <input type="hidden" name="action" value="removeperm">
                                    <input type="hidden" name="perm" value="{perm[perm]}">
                                    <input type="hidden" name="realm" value="{perm[realm]}">
                                    <button class="btn btn-danger btn-block" style="border-radius:0" type="submit"><span aria-hidden="true">&times;</span></button>
                                </form>
                            </td>
                        </tr>
                        {% endfor %}
                        <tr>
                            <form class="input-group" style="padding:0px; position:relative;" data-toggle="validator" role="form" method="post" action="ranks.php">
                                <input type="hidden" name="rank" value="{rank[rank]}">
                                <input type="hidden" name="action" value="addperm">
                                <td style="padding:0" class="autocomplete"><input type="text" name="perm" class="form-control permissions" autocomplete="off" style="margin:0px;border-radius:0" placeholder="Permission" required="required"></td>
                                <td style="padding:0">
                                    <select class="custom-select" name="realm" required="required">
                                        {% for realm, title in networkmanager(getRealms) %}
                                        <option value="{realm}">{title}</option>
                                        {% endfor %}
                                    </select>
                                </td>
                                <td style="padding:0"><button class="btn btn-info btn-block" style="border-radius:0" type="submit">Add</button></td>
                            </form>
                        </tr>
                    </tbody>
                </table>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>
{% endfor %}
{% endfor %}

<div class="modal fade" id="createRankModal" tabindex="-1" role="dialog" aria-labelledby="createRankModalLabel" aria-hidden="true">
        <div class="modal-dialog" style="max-width:40%" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="createRankModalLabel">Create New Rank</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <form class="input-group" style="padding:0px; position:relative;" data-toggle="validator" role="form" method="post" action="ranks.php">
                        <input type="hidden" name="action" value="createrank">
                        <div>
                            <p class="description">Your rank name for use with others addons. Only allows a-z, numbers, underscores, and hyphens.</p>
                            <input type="text" name="rank" class="form-control" placeholder="Rank Name" pattern="^[a-z_\-0-9]+$" required="required">
                        </div>
                        <div>
                            <p class="description">The display name of the rank.</p>
                            <input type="text" name="displayName" class="form-control" placeholder="Rank Display Name" required="required">
                        </div>
                        <div>
                            <p class="description">The rank's subgrouping.</p>
                            <input type="number" name="subgrouping" class="form-control" placeholder="Rank Subgrouping" required="required">
                        </div>
                        <div>
                            <p class="description">The rank's realm.</p>
                            <select class="custom-select" name="realm" required="required">
                                {% for realm, title in networkmanager(getRealms) %}
                                <option value="{realm}">{title}</option>
                                {% endfor %}
                            </select>
                        </div>
                        <br>
                        <hr>
                        <br>
                        <table class="table table-striped table-bordered table-responsive-xl table-hover table-sm display mb-0 flex-fill">
                            <thead>
                                <tr>
                                    <th>Permission</th>
                                    <th>Realm</th>
                                    <th style="padding:0;width:30px;"></th>
                                </tr>
                            </thead>
                            <tbody id="perms">
                                <tr>
                                    <td style="padding:0" class="autocomplete"><input type="text" class="form-control permissions" autocomplete="off" style="margin:0px;border-radius:0" placeholder="Permission"></td>
                                    <td style="padding:0">
                                        <select class="custom-select" required="required">
                                            {% for realm, title in networkmanager(getRealms) %}
                                            <option value="{realm}">{title}</option>
                                            {% endfor %}
                                        </select>
                                    </td>
                                    <td style="padding:0"><button class="btn btn-info btn-block" style="border-radius:0" onclick="addPerm(event)">Add</button></td>
                                </tr>
                            </tbody>
                        </table>
                        <br>
                        <button class="btn btn-success btn-block" style="border-radius:0" type="submit">Create Rank</button>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>